# thread_start_param Struct Reference

## Data Fields

void * | arg
void(* | function )(void *)
sys_thread * | thread

## Detailed Description

Definition at line 156 of file sys_arch.c.

## Field Documentation

void* thread_start_param::arg

Definition at line 159 of file sys_arch.c.

void(* thread_start_param::function)(void *)

struct sys_thread* thread_start_param::thread

Definition at line 157 of file sys_arch.c.

The documentation for this struct was generated from the following file:

- src/sys/net/net/sys_arch.c